Show an Order
curl --request GET \
--url https://public-api.stora.co/2025-09/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order": {
"id": "order_942ae99a1fdc940e",
"billing_period": "monthly",
"contact": {
"id": "con_0ac0514ed0711462"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"coupon": {
"id": "cpn_a26d0d4c582740c1"
},
"created_at": "2025-02-22T14:36:00Z",
"email_notifications": {
"booking_confirmation": true,
"move_in_day": true,
"payment_details": false
},
"line_items": [
{
"id": "olitm_1001cbd3d5fec937"
},
{
"id": "olitm_260799c6b6b1a274"
},
{
"id": "olitm_47eba7938308c71d"
},
{
"id": "olitm_b202613e81c9101e"
}
],
"metadata": {},
"one_time_total": {
"amount": 201998,
"currency": "GBP",
"formatted": "£2,019.98"
},
"one_time_total_excluding_tax": {
"amount": 201998,
"currency": "GBP",
"formatted": "£2,019.98"
},
"payment_method": "card",
"payment_url": null,
"purchase_order_number": "PO987654321",
"site": {
"id": "site_14b419f1096013f1"
},
"source": "public_api",
"starts_at": "2025-02-23T14:41:00Z",
"status": "draft",
"subscription": null,
"subtotal": {
"amount": 11998,
"currency": "GBP",
"formatted": "£119.98"
},
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"tenancy": null,
"total": {
"amount": 5999,
"currency": "GBP",
"formatted": "£59.99"
},
"total_discount": {
"amount": 5999,
"currency": "GBP",
"formatted": "£59.99"
},
"total_excluding_tax": {
"amount": 5999,
"currency": "GBP",
"formatted": "£59.99"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Orders
Show an Order
Retrieve a specific order by its ID.
Required authorization scope: public.order:read
GET
/
2025-09
/
orders
/
{order_id}
Show an Order
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the order to retrieve
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?
⌘I